Name:           ocaml-getopt
Version:        20120615
Release:        %mkrel 4
Summary:        Command line parsing a la GNU getopt
License:        MIT-like
Group:          Development/OCaml
URL:            http://forge.ocamlcore.org/projects/ocaml-getopt/
Source0:        http://forge.ocamlcore.org/frs/download.php/896/ocaml-getopt-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
The OCaml distribution comes with the module Arg specialized in
command-line parsing. However, it doesn't support the well known
features of GNU getopt and getopt_long.

The module Getopt is an alternative; it supports GNU syntax, but from the
programmer point of view, it is close to the spirit of Arg: the programmer
gives to the general parsing function a list of possible options, together
with the behaviour of these options.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocaml-getopt

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}

make all
make doc
mv doc.docdir doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/getopt
make install
cp getopt.mli $OCAMLFIND_DESTDIR/getopt

%files
%doc COPYING Changes README
%dir %{_libdir}/ocaml/getopt
%{_libdir}/ocaml/getopt/META
%{_libdir}/ocaml/getopt/*.cma
%{_libdir}/ocaml/getopt/*.cmi
%{_libdir}/ocaml/getopt/*.cmxs

%files devel
%doc doc/
%doc sample.ml
%{_libdir}/ocaml/getopt/*.a
%{_libdir}/ocaml/getopt/*.cmxa
%{_libdir}/ocaml/getopt/*.cmx
%{_libdir}/ocaml/getopt/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 20120615-4.mga3
+ Revision: 361385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 20120615-3.mga3
+ Revision: 301092
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 20120615-2.mga3
+ Revision: 300134
- new rpm group for ocaml

* Fri Aug 03 2012 blue_prawn <blue_prawn> 20120615-1.mga3
+ Revision: 278045
- updated to last version 20120615
- new URL for the homepage
- now uses oasis to build

* Wed Mar 28 2012 blue_prawn <blue_prawn> 20040811-1.mga2
+ Revision: 227336
- imported package from Mandriva

